#!../../bin/linux-x86/scope

< envPaths

#
# Site-specific configuration
#
epicsEnvSet(ETHER1, "192.168.21.44")  # Choose scope ethernet address
epicsEnvSet(SCOPE1, "scope1:")        # Choose scope name

#epicsEnvSet(ETHER2, "192.168.21.55")  # Choose scope ethernet address
#epicsEnvSet(SCOPE2, "scope2:")        # Choose scope name

#
# Ensure that we can transfer a complete waveform
#
epicsEnvSet(EPICS_CA_MAX_ARRAY_BYTES, 5000000)

## Register all support components
cd ${TOP}
dbLoadDatabase("dbd/scope.dbd")
scope_registerRecordDeviceDriver(pdbbase)

## This is the main db. 
dbLoadRecords("db/SL1000.db","scope=$(SCOPE1),L=0,A=0,ASG=TEST1,Name=YOKOGAWA SL1000-1,WF_NELM=100000,DISPWF_NELM=1000,SRQ_EVNT=101")
#dbLoadRecords("db/SL1000.db","scope=$(SCOPE2),L=0,A=0,ASG=TEST2,Name=YOKOGAWA SL1000-2,WF_NELM=10000,DISPWF_NELM=1000,SRQ_EVNT=102")

## Set up IOC/hardware links -- Direct network connection
vxi11Configure("L0", "$(ETHER1)", 0, 0.0, "inst0", 0)
#vxi11Configure("L1", "$(ETHER2)", 0, 0.0, "inst0", 0)

## Start IOC
cd ${TOP}/iocBoot/${IOC}
iocInit()

# initialization of the scope should be done in a shell script
